import { EntityStore, EntityState } from '@datorama/akita';
import { RouterQuery } from '@datorama/akita-ng-router-store';
import { CollectionService } from '../collection';
import { Observable } from 'rxjs';
export declare class SubcollectionService<S extends EntityState<any, string>> extends CollectionService<S> {
    protected store: EntityStore<S>;
    private collectionPath;
    protected routerQuery: RouterQuery;
    constructor(store: EntityStore<S>);
    readonly path: Observable<string>;
    readonly currentPath: string;
}
